Debian::Copyright::Stanza::License(3pm)

NAME
Debian::Copyright::Stanza::License - License stanza of Debian copyright file

VERSION
This document describes Debian::Copyright::Stanza::License version 0.2 .

SYNOPSIS
    my $copy = Debian::Copyright::Stanza::License->new(\%data);
    print $copy;                         # auto-stringification

DESCRIPTION
Debian::Copyright::Stanza::License can be used for representation and manipulation of a "License:" stanza of Debian copyright files in an object-oriented way. Converts itself to a textual representation in string context.

FIELDS
The supported fields for License stanzas are listed below.

Note that real copyright fields may contain dashes in their names. These are replaced with underscores.

License
Comment

CONSTRUCTOR

new
new( { field => value, ... } )
    Creates a new Debian::Copyright::Stanza::License object and optionally initialises it with the supplied data.

SEE ALSO
Debian::Copyright::Stanza::License inherits most of its functionality from Debian::Copyright::Stanza

COPYRIGHT & LICENSE
Copyright (C) 2011-12 Nicholas Bamber nicholas@periapt.co.uk

This module is substantially based upon Debian::Control::Stanza::Source. Copyright (C) 2009 Damyan Ivanov dmn@debian.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.